IP Allowlist

Use these operations to interact with the IP allowlist in Cortex.

Required permissions

Your API key must have the Configure IP allowlist permission.

Operations

Gets allowlist of IP addresses & ranges

get
Authorizations
AuthorizationstringRequired

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query parameters
pageSizeinteger · int32Required

Number of results to return per page, between 1 and 1000. Default 250.

Default: 250
pageinteger · int32Required

Page number to return, 0-indexed. Default 0.

Default: 0
Responses
chevron-right
200

Successfully retrieved IP allowlist

application/json
pageinteger · int32Required

Current page number, 0-indexed

totalinteger · int32Required

Total number of results

totalPagesinteger · int32Required

Total number of pages

get
/api/v1/ip-allowlist

Validates allowlist of IP addresses & ranges

post
Authorizations
AuthorizationstringRequired

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Body
Responses
chevron-right
200

Successfully validated allowlist

application/json
or
post
/api/v1/ip-allowlist/validate

Replace existing allowlist with provided list of IP addresses & ranges

put
Authorizations
AuthorizationstringRequired

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query parameters
forcebooleanOptional

When true, entries will be updated even if the list doesn't contain the requestor's IP address

Body
Responses
chevron-right
200

Successfully replaced allowlist

application/json
pageinteger · int32Required

Current page number, 0-indexed

totalinteger · int32Required

Total number of results

totalPagesinteger · int32Required

Total number of pages

put
/api/v1/ip-allowlist

Last updated

Was this helpful?